Download status update webhook
curl --request POST \
--url https://api.royalti.io/webhook/download/status-update/webhook \
--header 'Content-Type: application/json' \
--data '
{
"id": "d3f2c1b0-1234-5678-90ab-cdef12345678",
"status": "done",
"url": "https://storage.googleapis.com/downloads/export-2024-01-15.csv?signature=..."
}
'import requests
url = "https://api.royalti.io/webhook/download/status-update/webhook"
payload = {
"id": "d3f2c1b0-1234-5678-90ab-cdef12345678",
"status": "done",
"url": "https://storage.googleapis.com/downloads/export-2024-01-15.csv?signature=..."
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'd3f2c1b0-1234-5678-90ab-cdef12345678',
status: 'done',
url: 'https://storage.googleapis.com/downloads/export-2024-01-15.csv?signature=...'
})
};
fetch('https://api.royalti.io/webhook/download/status-update/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Download record status is marked as done"
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "Download Record not found"
}Webhooks
Download status update webhook
Receives status updates for download preparation operations from Google Cloud Functions.
POST
/
webhook
/
download
/
status-update
/
webhook
Download status update webhook
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
Authentication: Requiresroyalti-x-hash header containing HMAC signature.
Workflow:
- Validates download record exists
- Updates download status and URL
- Sends email notification when status is ‘done’
Code Examples
const response = await fetch('https://api.royalti.io/webhook/download/status-update/webhook', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"id": "d3f2c1b0-1234-5678-90ab-cdef12345678",
"status": "done",
"url": "https://storage.googleapis.com/downloads/export-2024-01-15.csv?signature=..."
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/webhook/download/status-update/webhook',
headers={
'Authorization': f'Bearer {token}'
},
json={"id":"d3f2c1b0-1234-5678-90ab-cdef12345678","status":"done","url":"https://storage.googleapis.com/downloads/export-2024-01-15.csv?signature=..."}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/webhook/download/status-update/webhook \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"id":"d3f2c1b0-1234-5678-90ab-cdef12345678","status":"done","url":"https://storage.googleapis.com/downloads/export-2024-01-15.csv?signature=..."}'
Body
application/json
Download record UUID
Example:
"d3f2c1b0-1234-5678-90ab-cdef12345678"
Current status of the download
Available options:
preparing, done, failed, expired Example:
"done"
Google Cloud Storage signed URL for download
Example:
"https://storage.googleapis.com/downloads/export-2024-01-15.csv?signature=..."
Response
Webhook processed successfully
Example:
"Download record status is marked as done"
⌘I